NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Properties | List of all members
NXOpen.CAE.ContactMeshBuilder Class Reference

Represents a NXOpen.CAE.ContactMeshBuilder More...

Inheritance diagram for NXOpen.CAE.ContactMeshBuilder:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  AlignmentType { Minimumdistance, Normaltocontactedge }
 the type of alignment to be created More...
 

Properties

unsafe
NXOpen.CAE.ContactMeshBuilder.AlignmentType 
AlignmentMethod [get, set]
 Returns or sets the alingment method More...
 
unsafe bool AlignTargetEdgeNodes [get, set]
 Returns or sets a flag to align target edge nodes More...
 
unsafe NXOpen.CAE.SelectCAEEdge ContactEdge [get]
 Returns the contact edge or the source edge More...
 
unsafe NXOpen.Point ContactEdgeEndPoint [get, set]
 Returns or sets the end point of contact on contact edge More...
 
unsafe NXOpen.Point ContactEdgeStartPoint [get, set]
 Returns or sets the start point of contact on contact edge More...
 
unsafe
NXOpen.CAE.ElementTypeBuilder 
ElementType [get]
 Returns the element type to be created More...
 
unsafe bool EnableGapTolerance [get, set]
 Returns or sets a flag to enable gap tolerance More...
 
unsafe double GapTolerance [get, set]
 Returns or sets the gap tolerance More...
 
unsafe int NumElements [get, set]
 Returns or sets the number of contact elements More...
 
unsafe NXOpen.CAE.SelectCAEEdge TargetEdge [get]
 Returns the target edge More...
 
unsafe NXOpen.Point TargetEdgeEndPoint [get, set]
 Returns or sets the end point of contact on target edge More...
 
unsafe NXOpen.Point TargetEdgeStartPoint [get, set]
 Returns or sets the start point of contact on target edge More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.CAE.ContactMeshBuilder

To create a new instance of this class, use NXOpen.CAE.MeshManager.CreateContactMeshBuilder

Created in NX10.0.0

Member Enumeration Documentation

the type of alignment to be created

Enumerator
Minimumdistance 
Normaltocontactedge 

Property Documentation

unsafe NXOpen.CAE.ContactMeshBuilder.AlignmentType NXOpen.CAE.ContactMeshBuilder.AlignmentMethod
getset

Returns or sets the alingment method

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling")

unsafe bool NXOpen.CAE.ContactMeshBuilder.AlignTargetEdgeNodes
getset

Returns or sets a flag to align target edge nodes

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling")

unsafe NXOpen.CAE.SelectCAEEdge NXOpen.CAE.ContactMeshBuilder.ContactEdge
get

Returns the contact edge or the source edge

Created in NX10.0.0

License requirements: None.

unsafe NXOpen.Point NXOpen.CAE.ContactMeshBuilder.ContactEdgeEndPoint
getset

Returns or sets the end point of contact on contact edge

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling")

unsafe NXOpen.Point NXOpen.CAE.ContactMeshBuilder.ContactEdgeStartPoint
getset

Returns or sets the start point of contact on contact edge

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling")

unsafe NXOpen.CAE.ElementTypeBuilder NXOpen.CAE.ContactMeshBuilder.ElementType
get

Returns the element type to be created

Created in NX10.0.0

License requirements: None.

unsafe bool NXOpen.CAE.ContactMeshBuilder.EnableGapTolerance
getset

Returns or sets a flag to enable gap tolerance

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling")

unsafe double NXOpen.CAE.ContactMeshBuilder.GapTolerance
getset

Returns or sets the gap tolerance

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling")

unsafe int NXOpen.CAE.ContactMeshBuilder.NumElements
getset

Returns or sets the number of contact elements

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling")

unsafe NXOpen.CAE.SelectCAEEdge NXOpen.CAE.ContactMeshBuilder.TargetEdge
get

Returns the target edge

Created in NX10.0.0

License requirements: None.

unsafe NXOpen.Point NXOpen.CAE.ContactMeshBuilder.TargetEdgeEndPoint
getset

Returns or sets the end point of contact on target edge

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling")

unsafe NXOpen.Point NXOpen.CAE.ContactMeshBuilder.TargetEdgeStartPoint
getset

Returns or sets the start point of contact on target edge

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.